Bug 156443 - databases/mysql-connector-java -- update to 5.1.15
databases/mysql-connector-java -- update to 5.1.15
Status: Closed FIXED
Product: Ports & Packages
Classification: Unclassified
Component: Individual Port(s)
Latest
Any Any
: Normal Affects Only Me
Assigned To: FreeBSD ports mailing list
:
Depends on:
Blocks:
  Show dependency treegraph
 
Reported: 2011-04-16 16:50 UTC by gebhart
Modified: 2011-05-21 21:10 UTC (History)
0 users

See Also:


Attachments
file.diff (475 bytes, patch)
2011-04-16 16:50 UTC, gebhart
no flags Details | Diff
file.diff (465 bytes, patch)
2011-04-16 16:50 UTC, gebhart
no flags Details | Diff

Note You need to log in before you can comment on or make changes to this bug.
Description gebhart 2011-04-16 16:50:03 UTC
it should be updated to 5.1.15 as there many bugs fixed since 5.1.12.
Comment 1 Edwin Groothuis freebsd_committer 2011-04-16 16:50:11 UTC
Maintainer of databases/mysql-connector-java,

Please note that PR ports/156443 has just been submitted.

If it contains a patch for an upgrade, an enhancement or a bug fix
you agree on, reply to this email stating that you approve the patch
and a committer will take care of it.

The full text of the PR can be found at:
    http://www.freebsd.org/cgi/query-pr.cgi?pr=ports/156443

-- 
Edwin Groothuis via the GNATS Auto Assign Tool
edwin@FreeBSD.org
Comment 2 Edwin Groothuis freebsd_committer 2011-04-16 16:50:14 UTC
State Changed
From-To: open->feedback

Awaiting maintainers feedback (via the GNATS Auto Assign Tool)
Comment 3 m.seaman 2011-04-16 17:51:56 UTC
On Sat, Apr 16, 2011 at 03:50:11PM +0000, Edwin Groothuis wrote:
> Maintainer of databases/mysql-connector-java,
> 
> Please note that PR ports/156443 has just been submitted.
> 
> If it contains a patch for an upgrade, an enhancement or a bug fix
> you agree on, reply to this email stating that you approve the patch
> and a committer will take care of it.


Maintainer suggests using the following patch instead --

 * Add LICENSE, don't install yet another copy of the GPLv2 text
 * Cope with non-ascii characters now appearing in the sources
 * Update to 5.1.15

Index: Makefile
===================================================================
RCS file: /home/ncvs/ports/databases/mysql-connector-java/Makefile,v
retrieving revision 1.55
diff -u -u -r1.55 Makefile
--- Makefile	3 Jun 2010 17:09:57 -0000	1.55
+++ Makefile	16 Apr 2011 16:45:41 -0000
@@ -6,7 +6,7 @@
 #
 
 PORTNAME=	mysql-connector-java
-PORTVERSION=	5.1.12
+PORTVERSION=	5.1.15
 CATEGORIES=	databases java
 MASTER_SITES=	${MASTER_SITE_MYSQL}
 MASTER_SITE_SUBDIR=	Connector-J
@@ -18,6 +18,8 @@
 
 CONFLICTS=	mysql-connector-java*-5.0.*
 
+LICENSE=	GPLv2
+
 USE_JAVA=	yes
 JAVA_VERSION=	1.3+
 BUILDDIR=	${WRKDIR}/${DISTNAME}
@@ -25,7 +27,7 @@
 SRCDIR=		${WRKDIR}/${DISTNAME}/src
 JAVADOCDIR=	${WRKDIR}/${DISTNAME}/javadoc
 DESTJARFILE=	${PORTNAME}.jar
-EXTRADOCS=	README CHANGES docs/connector-j.html docs/connector-j.pdf
+EXTRADOCS=	CHANGES docs/connector-j.html docs/connector-j.pdf
 JARFILE=	${DISTNAME}-bin.jar
 JDCLASSPATH=	${SRCDIR}:${CLASSPATH}
 
@@ -37,11 +39,10 @@
 
 do-build:
 .if !defined(NOPORTDOCS)
-	@${MKDIR} ${JAVADOCDIR} && (cd ${SRCDIR}; \
-	    ${JAVADOC} -quiet -breakiterator      \
-		-d ${JAVADOCDIR} -package         \
-	        -classpath  ${JDCLASSPATH}        \
-	         com.mysql.jdbc org.gjt.mm.mysql)
+	@${MKDIR} ${JAVADOCDIR} && (cd ${SRCDIR};               \
+	    ${JAVADOC} -quiet -breakiterator -encoding utf8     \
+	    -d ${JAVADOCDIR} -package -classpath ${JDCLASSPATH}	\
+	    com.mysql.jdbc org.gjt.mm.mysql)
 .endif
 
 do-install: do-install-jar do-install-apidocs
Index: distinfo
===================================================================
RCS file: /home/ncvs/ports/databases/mysql-connector-java/distinfo,v
retrieving revision 1.33
diff -u -u -r1.33 distinfo
--- distinfo	20 Mar 2011 12:47:15 -0000	1.33
+++ distinfo	16 Apr 2011 16:45:41 -0000
@@ -1,2 +1,2 @@
-SHA256 (mysql-connector-java-5.1.12.tar.gz) = afc4f84eccbfaed92cd711549581971fc27e93b3318d4fa1f5b53a2f58f8d0f0
-SIZE (mysql-connector-java-5.1.12.tar.gz) = 3740147
+SHA256 (mysql-connector-java-5.1.15.tar.gz) = 6db61abe733fc074215a50abb6db81c34eae193a8825a832a46dd05a9e566fce
+SIZE (mysql-connector-java-5.1.15.tar.gz) = 3304179



-- 
Dr Matthew J Seaman MA, D.Phil.                   7 Priory Courtyard
                                                  Flat 3
PGP: http://www.infracaninophile.co.uk/pgpkey     Ramsgate
JID: matthew@infracaninophile.co.uk               Kent, CT11 9PW
Comment 4 Tilman Keskinoz freebsd_committer 2011-05-21 21:01:54 UTC
State Changed
From-To: feedback->closed

Port was upgraded, 

thanks for reporting
Comment 5 dfilter freebsd_committer 2011-05-21 21:01:56 UTC
arved       2011-05-21 20:01:41 UTC

  FreeBSD ports repository

  Modified files:
    databases/mysql-connector-java Makefile distinfo 
  Log:
  Update to 5.1.15
  
  PR:             156443
  Submitted by:   maintainer
  
  Revision  Changes    Path
  1.56      +8 -7      ports/databases/mysql-connector-java/Makefile
  1.34      +2 -2      ports/databases/mysql-connector-java/distinfo
_______________________________________________
cvs-all@freebsd.org mailing list
http://lists.freebsd.org/mailman/listinfo/cvs-all
To unsubscribe, send any mail to "cvs-all-unsubscribe@freebsd.org"